summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-23 02:35:14 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-23 02:35:14 (GMT)
commit2fb5be316775deb74054f7854c26aa6cda80c57e (patch)
tree43bbe6de4dad215409c56fd8dd4bdc9995c38b55 /abs
parent59285a0640eb2fefe640155b94dd95c7a33a9fe7 (diff)
downloadlinhes_pkgbuild-2fb5be316775deb74054f7854c26aa6cda80c57e.zip
linhes_pkgbuild-2fb5be316775deb74054f7854c26aa6cda80c57e.tar.gz
linhes_pkgbuild-2fb5be316775deb74054f7854c26aa6cda80c57e.tar.bz2
unixodbc: upgrade
Diffstat (limited to 'abs')
-rw-r--r--abs/extra/unixodbc/PKGBUILD33
1 files changed, 19 insertions, 14 deletions
diff --git a/abs/extra/unixodbc/PKGBUILD b/abs/extra/unixodbc/PKGBUILD
index b8c2690..66f4a39 100644
--- a/abs/extra/unixodbc/PKGBUILD
+++ b/abs/extra/unixodbc/PKGBUILD
@@ -1,24 +1,29 @@
-# $Id: PKGBUILD 9389 2008-08-17 06:44:49Z allan $
-# Maintainer: Judd Vinet <jvinet@zeroflux.org>
+# $Id: PKGBUILD 78429 2010-04-23 18:51:55Z andyrtr $
+# Maintainer: AndyRTR <andyrtr@archlinux.org>
+
+# Contributor: Judd Vinet <jvinet@zeroflux.org>
# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
pkgname=unixodbc
-pkgver=2.2.12
-pkgrel=2
+pkgver=2.3.0
+pkgrel=1
pkgdesc="ODBC is an open specification for providing application developers with a predictable API with which to access Data Sources"
-arch=(i686 x86_64)
-license=('GPL2')
+arch=('i686' 'x86_64')
+license=('GPL2' 'LGPL2.1')
url="http://www.unixodbc.org/"
backup=('etc/odbc.ini' 'etc/odbcinst.ini')
-depends=('readline')
+depends=('readline>=6.0' 'libtool')
+options=('!libtool')
source=(http://www.unixodbc.org/unixODBC-$pkgver.tar.gz)
-md5sums=('9a116aad4059c31d231b626ffdf1869a')
+md5sums=('f2ad22cbdffe836c58987ed2332c2e99')
build() {
- cd $startdir/src/unixODBC-$pkgver
- sed -i 's/YY_FLUSH_BUFFER/yy_flush_buffer(YY_CURRENT_BUFFER)/' sqp/lex.l
- ./configure --prefix=/usr --sysconfdir=/etc --enable-gui=no
- make || return 1
- make DESTDIR=$startdir/pkg install
- find $startdir/pkg -name '*.la' -exec rm {} \;
+ cd ${srcdir}/unixODBC-${pkgver}
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/unixODBC-${pkgver}
+ make DESTDIR=${pkgdir} install || return 1
}